<?php
session_start();





require_once('fpdf.php');
class PDF extends FPDF{
	function Header()
{ 
 $this->SetXY(0, 0);
 $this->Image('logo.png',70,15, 65, 40);
 $this->Ln(4);   
}
function Footer()
{
    $this->SetY(15);
    $this->SetFont('Arial','I',12);
}
}

$pdf = new PDF('P','mm','A4');
$pdf->AddPage();
$pdf->SetFont('Arial','',6);








	$pdf->SetFillColor(102,178,255);
    $pdf->SetFont('Arial','B',10);
    $pdf->SetXY(10, 45);
    $pdf->Cell(17,10,utf8_decode('ID Mov.'),'LTRB',0,'C',true);
    $pdf->Cell(27,10,utf8_decode('Fecha Mov.'),'LTRB',0,'C',true);
    $pdf->Cell(73,10,utf8_decode('Denominación'),'LTRB',0,'C',true);
    $pdf->Cell(43,10,utf8_decode('Monto'),'LTRB',1,'C',true);

 





 $db_host = 'localhost';
$db_name = 'rblcomve_inventiolite';
$db_user = 'rblcomve_root';
$db_pass = '$0WBF2agJ.G_';

$connect = new mysqli ($db_host, $db_user, $db_pass, $db_name);

$inicial=$_POST['inicial'];
$final=$_POST['final'];

$result=mysqli_query($connect, "SELECT * FROM `financiero` WHERE `denominacion` LIKE '%$inicial%' ORDER BY `id` DESC ");


    $pdf = new PDF('P','mm','A4');
    $pdf->AddPage();

    $pdf->SetFillColor(102,178,255);
    $pdf->SetFont('Arial','B',8.4);
    $pdf->SetXY(10, 45);
 
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(0,7,'BUSQUEDA RAPIDA EN SISTEMA DE RBL C.A.','',1,'C');
       $pdf->SetFont('Arial','B',10);
    $pdf->Ln(3);


$fecha = date('Y-m-d');
$ano = substr($fecha, -10, 4);
$mes = substr($fecha, -5, 2);
$dia = substr($fecha, -2, 2);



if ($mes=='01'){
    $mes_le='Enero';
}elseif ($mes=='02'){
    $mes_le='Febrero';
}elseif ($mes=='03'){
    $mes_le='Marzo';
}elseif ($mes=='04'){
    $mes_le='Abril';
}elseif ($mes=='05'){
    $mes_le='Mayo';
}elseif ($mes=='06'){
    $mes_le='Junio';
}elseif ($mes=='07'){
    $mes_le='Julio';
}elseif ($mes=='08'){
    $mes_le='Agosto';
}elseif ($mes=='09'){
    $mes_le='Septiembre';
}elseif ($mes=='10'){
    $mes_le='Octubre';
}elseif ($mes=='11'){
    $mes_le='Noviembre';
}elseif ($mes=='12'){
    $mes_le='Diciembre';
}





    $pdf->Cell(0,7,'Santa Ana de Coro, '.$dia.' de '.$mes_le.' del '.$ano ,'',1,'R');
    $pdf->Ln(4);


 $pdf->SetFont('Arial','B',8.4);
    $pdf->Cell(0,7,'GASTOS:','',1,'C');
    $pdf->Cell(13,7,utf8_decode('# Mov.'),'LTRB',0,'C',true);
    $pdf->Cell(23,7,utf8_decode('Fecha Mov.'),'LTRB',0,'C',true);
    $pdf->Cell(93,7,utf8_decode('Denominación'),'LTRB',0,'C',true);
    $pdf->Cell(33,7,utf8_decode('Monto'),'LTRB',0,'C',true);
    $pdf->Cell(23,7,utf8_decode('Tipo Pago:'),'LTRB',1,'C',true);
 $total_total2=''; 
 while($row = mysqli_fetch_array($result))
{  

 $id = $row['id'];
 $fecha_movimiento = $row['fecha_movimiento'];
 $monto = $row['monto'];
 $denominacion = $row['denominacion'];
 $forma_pago = $row['forma_pago'];


 $pdf->Cell(13,7,$id,'LTRB',0,'C');
 $pdf->Cell(23,7,$fecha_movimiento,'LTRB',0,'C');
 $pdf->Cell(93,7,$denominacion,'LTRB',0,'C');
 $pdf->Cell(33,7,number_format($monto,2, ',', '.'),'LTRB',0,'C');
  $pdf->SetFont('Arial','B',6);
 if ($forma_pago==1) {
 $pdf->Cell(23,7,'EFECTIVO','LTRB',1,'C');
 }if ($forma_pago==2) {
 $pdf->Cell(23,7,'TRANSFERENCIA','LTRB',1,'C');
 }if ($forma_pago==3) {
 $pdf->Cell(23,7,'CHEQUE','LTRB',1,'C');
 }if ($forma_pago==4) {
 $pdf->Cell(23,7,'DEPOSITO','LTRB',1,'C');
 }if ($forma_pago==5) {
 $pdf->Cell(23,7,'PUNTO DE VENTA','LTRB',1,'C');
 }if ($forma_pago==6) {
 $pdf->Cell(23,7,'MOVIMIENTO ESP.','LTRB',1,'C');
 }
 $pdf->SetFont('Arial','B',8.4);
   $total_total2+=$monto;
}

  $pdf->Cell(13,7,'','',0,'C',true);
    $pdf->Cell(23,7,'','',0,'C',true);
    $pdf->Cell(93,7,'TOTALES:','',0,'R',true);
    $pdf->Cell(33,7,number_format($total_total2,2, ',', '.'),'LTRB',0,'C',true);
    $pdf->Cell(23,7,'','L',1,'C',true);






mysqli_close($connect);
   

$pdf->Output('busqueda.pdf','D');
?>